{
  "type": "minecraft:tree",
  "config": {
    "dirt_provider": {
      "type": "minecraft:simple_state_provider",
      "state": {
        "Name": "minecraft:crying_obsidian"
      }
    },
    "foliage_provider": {
      "type": "minecraft:simple_state_provider",
      "state": {
        "Name": "minecraft:tinted_glass"
      }
    },
    "trunk_provider": {
      "type": "minecraft:simple_state_provider",
      "state": {
        "Name": "minecraft:obsidian"
      }
    },
    "force_dirt": true,
    "ignore_vines": false,
    "foliage_placer": {
      "type": "minecraft:random_spread_foliage_placer",
      "radius": 3,
      "offset": 0,
      "foliage_height": 2,
      "leaf_placement_attempts": 1
    },
    "trunk_placer": {
      "type": "minecraft:bending_trunk_placer",
      "base_height": 6,
      "height_rand_a": 2,
      "height_rand_b": 0,
      "bend_length": {
        "type": "uniform",
        "min_inclusive": 6,
        "max_inclusive": 25
      },
      "min_height_for_leaves": 3
    },
    "minimum_size": {
      "type": "minecraft:two_layers_feature_size",
      "limit": 1,
      "lower_size": 0,
      "upper_size": 1
    },
    "decorators": []
  }
}